Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.query
Interface GenericSelectQuery

All Superinterfaces:
  Query, java.io.Serializable

All Known Implementing Classes:
  EOQuery, EOSQLQuery, PrefetchSelectQuery, ProcedureQuery, SelectQuery, SQLTemplate

Deprecated. Since 1.2 this interface obsolete. Query parameters are described via `QueryMetadata`.

    public interface GenericSelectQuery

extends Query

A query that returns result set.

Author:
  Andrus Adamchik

Field Summary
`static java.lang.String` | `CACHE_POLICY_DEFAULT` Deprecated.
`static java.lang.String` | `CACHE_POLICY_PROPERTY` Deprecated.
`static int` | `FETCH_LIMIT_DEFAULT` Deprecated. Defines default query fetch limit, which is zero, meaning that all matching rows should be fetched.
`static java.lang.String` | `FETCH_LIMIT_PROPERTY` Deprecated. Defines the name of the property for the query `fetch limit`.
`static boolean` | `FETCHING_DATA_ROWS_DEFAULT` Deprecated.
`static java.lang.String` | `FETCHING_DATA_ROWS_PROPERTY` Deprecated.
`static java.lang.String` | `LOCAL_CACHE` Deprecated. A cache policy ruling that query results shall be cached separately for each DataContext.
`static java.lang.String` | `NO_CACHE` Deprecated. A cache policy that disables caching of query results.
`static int` | `PAGE_SIZE_DEFAULT` Deprecated. Defines default query page size, which is zero for no pagination.
`static java.lang.String` | `PAGE_SIZE_PROPERTY` Deprecated. Defines the name of the property for the query `page size`.
`static boolean` | `REFRESHING_OBJECTS_DEFAULT` Deprecated.
`static java.lang.String` | `REFRESHING_OBJECTS_PROPERTY` Deprecated.
`static boolean` | `RESOLVING_INHERITED_DEFAULT` Deprecated.
`static java.lang.String` | `RESOLVING_INHERITED_PROPERTY` Deprecated.
`static java.lang.String` | `SHARED_CACHE` Deprecated. A cache policy ruling that query results shall be stored in a shared cache accessible by all DataContexts.

Method Summary
`java.lang.String` | `getCachePolicy()` Deprecated. Returns query cache policy, which can be one of `NO_CACHE`, `LOCAL_CACHE`, or `SHARED_CACHE`.
`int` | `getFetchLimit()` Deprecated. Returns the limit on the maximium number of records that can be returned by this query.
`int` | `getPageSize()` Deprecated. Returns query page size.
`PrefetchTreeNode` | `getPrefetchTree()` Deprecated. Returns a root node of prefetch tree used by this query, or null of no prefetches are configured.
`boolean` | `isFetchingDataRows()` Deprecated. Returns `true` if this query should produce a list of data rows as opposed to DataObjects, `false` for DataObjects.
`boolean` | `isRefreshingObjects()` Deprecated. Returns `true` if the query results should replace any currently cached values, returns `false` otherwise.
`boolean` | `isResolvingInherited()` Deprecated. Returns true if objects fetched via this query should be fully resolved according to the inheritance hierarchy.

Methods inherited from interface org.apache.cayenne.query.Query
`createSQLAction, getMetaData, getName, getRoot, route, setName, setRoot`

Field Detail

### NO_CACHE

    static final java.lang.String NO_CACHE

  Deprecated.
  A cache policy that disables caching of query results.

  Since:
    1.1
  See Also:
    Constant Field Values

### LOCAL_CACHE

    static final java.lang.String LOCAL_CACHE

  Deprecated.
  A cache policy ruling that query results shall be cached separately for each DataContext.

  Since:
    1.1
  See Also:
    Constant Field Values

### SHARED_CACHE

    static final java.lang.String SHARED_CACHE

  Deprecated.
  A cache policy ruling that query results shall be stored in a shared cache accessible by all DataContexts.

  Since:
    1.1
  See Also:
    Constant Field Values

### FETCH_LIMIT_PROPERTY

    static final java.lang.String FETCH_LIMIT_PROPERTY

  Deprecated.
  Defines the name of the property for the query `fetch limit`.

  Since:
    1.1
  See Also:
    Constant Field Values

### FETCH_LIMIT_DEFAULT

    static final int FETCH_LIMIT_DEFAULT

  Deprecated.
  Defines default query fetch limit, which is zero, meaning that all matching rows should be fetched.

  Since:
    1.1
  See Also:
    Constant Field Values

### PAGE_SIZE_PROPERTY

    static final java.lang.String PAGE_SIZE_PROPERTY

  Deprecated.
  Defines the name of the property for the query `page size`.

  Since:
    1.1
  See Also:
    Constant Field Values

### PAGE_SIZE_DEFAULT

    static final int PAGE_SIZE_DEFAULT

  Deprecated.
  Defines default query page size, which is zero for no pagination.

  Since:
    1.1
  See Also:
    Constant Field Values

### FETCHING_DATA_ROWS_PROPERTY

    static final java.lang.String FETCHING_DATA_ROWS_PROPERTY

  Deprecated.
  Since:
    1.1
  See Also:
    Constant Field Values

### FETCHING_DATA_ROWS_DEFAULT

    static final boolean FETCHING_DATA_ROWS_DEFAULT

  Deprecated.
  Since:
    1.1
  See Also:
    Constant Field Values

### REFRESHING_OBJECTS_PROPERTY

    static final java.lang.String REFRESHING_OBJECTS_PROPERTY

  Deprecated.
  Since:
    1.1
  See Also:
    Constant Field Values

### REFRESHING_OBJECTS_DEFAULT

    static final boolean REFRESHING_OBJECTS_DEFAULT

  Deprecated.
  Since:
    1.1
  See Also:
    Constant Field Values

### RESOLVING_INHERITED_PROPERTY

    static final java.lang.String RESOLVING_INHERITED_PROPERTY

  Deprecated.
  Since:
    1.1
  See Also:
    Constant Field Values

### RESOLVING_INHERITED_DEFAULT

    static final boolean RESOLVING_INHERITED_DEFAULT

  Deprecated.
  Since:
    1.1
  See Also:
    Constant Field Values

### CACHE_POLICY_PROPERTY

    static final java.lang.String CACHE_POLICY_PROPERTY

  Deprecated.
  Since:
    1.1
  See Also:
    Constant Field Values

### CACHE_POLICY_DEFAULT

    static final java.lang.String CACHE_POLICY_DEFAULT

  Deprecated.
  Since:
    1.1
  See Also:
    Constant Field Values

Method Detail

### getCachePolicy

    java.lang.String getCachePolicy()

  Deprecated.
  Returns query cache policy, which can be one of `NO_CACHE`, `LOCAL_CACHE`, or `SHARED_CACHE`. NO_CACHE is generally a default policy.

  Since:
    1.1

### isFetchingDataRows

    boolean isFetchingDataRows()

  Deprecated.
  Returns `true` if this query should produce a list of data rows as opposed to DataObjects, `false` for DataObjects. This is a hint to QueryEngine executing this query.

### isRefreshingObjects

    boolean isRefreshingObjects()

  Deprecated.
  Returns `true` if the query results should replace any currently cached values, returns `false` otherwise. If `isFetchingDataRows()`returns `true`, this setting is not applicable and has no effect.

  Since:
    1.1

### isResolvingInherited

    boolean isResolvingInherited()

  Deprecated.
  Returns true if objects fetched via this query should be fully resolved according to the inheritance hierarchy.

  Since:
    1.1

### getPageSize

    int getPageSize()

  Deprecated.
  Returns query page size. Page size is a hint to Cayenne that query should be performed page by page, instead of retrieveing all results at once. If the value returned is less than or equal to zero, no paging should occur.

### getFetchLimit

    int getFetchLimit()

  Deprecated.
  Returns the limit on the maximium number of records that can be returned by this query. If the actual number of rows in the result exceeds the fetch limit, they will be discarded. One possible use of fetch limit is using it as a safeguard against large result sets that may lead to the application running out of memory, etc. If a fetch limit is greater or equal to zero, all rows will be returned.

  Returns:
    the limit on the maximium number of records that can be returned by this query

### getPrefetchTree

    PrefetchTreeNode getPrefetchTree()

  Deprecated.
  Returns a root node of prefetch tree used by this query, or null of no prefetches are configured.

  Since:
    1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.